
Redmine - Defect #13852

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

2013-04-23 14:22 - Dave C

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

I'm getting the following trying to open certain issues - it seems to happen more often if there is a euro sign in the description

ActionView::Template::Error (incompatible character encodings: UTF-8 and ASCII-8BIT):

    55:         <%= yield :sidebar %>

    56:         <%= view_layouts_base_sidebar_hook_response %>

    57:     </div>

    58:

    59:     <div id="content">

    60:         <%= render_flash_messages %>

    61:         <%= yield %>

  app/views/layouts/base.html.erb:58:in `_app_views_layouts_base_html_erb__3047165055450172641_668

97220'

  app/controllers/issues_controller.rb:119:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:116:in `show'

 About your application's environment

Ruby version              1.9.2 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.4

Rails version             3.2.13

Active Record version     3.2.13

Action Pack version       3.2.13

Active Resource version   3.2.13

Action Mailer version     3.2.13

Active Support version    3.2.13

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x00000004f2cc28>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /srv/redmine.fwm.cx

Environment               production

Database adapter          mysql

Database schema version   20130217094251

History

#1 - 2013-04-23 14:33 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Dave C wrote:

About your application's environment

Ruby version              1.9.2 (x86_64-linux)

 Database adapter          mysql
 You need to use mysql2 instead of mysql on Ruby 1.9.

#2 - 2013-04-23 15:32 - Dave C

Nevermind, figured it out ;)

#3 - 2013-11-28 17:36 - David Rahusen

Erm, well, and what was the solution??

#4 - 2013-11-28 17:38 - Dave C

that you have to use mysql2 !

I'd come to the conclusion about 5 minutes before Toshi replied with the same thing
